bm::bitblock_get_adapter Class Reference

Bit-block get adapter, takes bitblock and represents it as a get_32() accessor function. More...

`#include <bmfunc.h>`

## Public Member Functions

| bitblock_get_adapter (const bm::word_t *bit_block)
BMFORCEINLINE bm::word_t | get_32 () BMNOEXCEPT

## Detailed Description

Bit-block get adapter, takes bitblock and represents it as a get_32() accessor function.

Definition at line 9359 of file bmfunc.h.

## Constructor & Destructor Documentation

## bitblock_get_adapter()

bm::bitblock_get_adapter::bitblock_get_adapter | ( | const bm::word_t * | bit_block | ) |

inline

Definition at line 9362 of file bmfunc.h.

## Member Function Documentation

## get_32()

BMFORCEINLINE bm::word_t bm::bitblock_get_adapter::get_32 | ( |  | ) |

inline

Definition at line 9365 of file bmfunc.h.

References BMNOEXCEPT.

The documentation for this class was generated from the following file:

- bmfunc.h